Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 5117)
@@ -9,69 +9,69 @@
   character*80 :: fich_cas
   ! Discr?tisation 
-  integer nlev_cas, nt_cas
+  INTEGER nlev_cas, nt_cas
 
 
   !profils environnementaux
-  real, allocatable::  plev_cas(:,:),plevh_cas(:)
-  real, allocatable::  ap_cas(:),bp_cas(:)
-
-  real, allocatable::  z_cas(:,:),zh_cas(:)
-  real, allocatable::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
-  real, allocatable::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
-  real, allocatable::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:)
+  REAL, ALLOCATABLE::  plev_cas(:,:),plevh_cas(:)
+  REAL, ALLOCATABLE::  ap_cas(:),bp_cas(:)
+
+  REAL, ALLOCATABLE::  z_cas(:,:),zh_cas(:)
+  REAL, ALLOCATABLE::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
+  REAL, ALLOCATABLE::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
+  REAL, ALLOCATABLE::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:)
 
   !forcing
-  real, allocatable::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
-  real, allocatable::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
-  real, allocatable::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
-  real, allocatable::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
-  real, allocatable::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
-  real, allocatable::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
-  real, allocatable::  ug_cas(:,:),vg_cas(:,:)
-  real, allocatable::  lat_cas(:),sens_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
-  real, allocatable::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tke_cas(:)
+  REAL, ALLOCATABLE::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
+  REAL, ALLOCATABLE::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
+  REAL, ALLOCATABLE::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
+  REAL, ALLOCATABLE::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
+  REAL, ALLOCATABLE::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
+  REAL, ALLOCATABLE::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
+  REAL, ALLOCATABLE::  ug_cas(:,:),vg_cas(:,:)
+  REAL, ALLOCATABLE::  lat_cas(:),sens_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
+  REAL, ALLOCATABLE::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tke_cas(:)
 
   !champs interpoles
-  real, allocatable::  plev_prof_cas(:)
-  real, allocatable::  t_prof_cas(:)
-  real, allocatable::  theta_prof_cas(:)
-  real, allocatable::  thl_prof_cas(:)
-  real, allocatable::  thv_prof_cas(:)
-  real, allocatable::  q_prof_cas(:)
-  real, allocatable::  qv_prof_cas(:)
-  real, allocatable::  ql_prof_cas(:)
-  real, allocatable::  qi_prof_cas(:)
-  real, allocatable::  rh_prof_cas(:)
-  real, allocatable::  rv_prof_cas(:)
-  real, allocatable::  u_prof_cas(:)
-  real, allocatable::  v_prof_cas(:)        
-  real, allocatable::  vitw_prof_cas(:)
-  real, allocatable::  omega_prof_cas(:)
-  real, allocatable::  ug_prof_cas(:)
-  real, allocatable::  vg_prof_cas(:)
-  real, allocatable::  ht_prof_cas(:)
-  real, allocatable::  hth_prof_cas(:)
-  real, allocatable::  hq_prof_cas(:)
-  real, allocatable::  vt_prof_cas(:)
-  real, allocatable::  vth_prof_cas(:)
-  real, allocatable::  vq_prof_cas(:)
-  real, allocatable::  dt_prof_cas(:)
-  real, allocatable::  dth_prof_cas(:)
-  real, allocatable::  dtrad_prof_cas(:)
-  real, allocatable::  dq_prof_cas(:)
-  real, allocatable::  hu_prof_cas(:)
-  real, allocatable::  hv_prof_cas(:)
-  real, allocatable::  vu_prof_cas(:)
-  real, allocatable::  vv_prof_cas(:)
-  real, allocatable::  du_prof_cas(:)
-  real, allocatable::  dv_prof_cas(:)
-  real, allocatable::  uw_prof_cas(:)
-  real, allocatable::  vw_prof_cas(:)
-  real, allocatable::  q1_prof_cas(:)
-  real, allocatable::  q2_prof_cas(:)
-
-
-  real lat_prof_cas,sens_prof_cas,ts_prof_cas,ps_prof_cas,ustar_prof_cas,tke_prof_cas
-  real o3_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
+  REAL, ALLOCATABLE::  plev_prof_cas(:)
+  REAL, ALLOCATABLE::  t_prof_cas(:)
+  REAL, ALLOCATABLE::  theta_prof_cas(:)
+  REAL, ALLOCATABLE::  thl_prof_cas(:)
+  REAL, ALLOCATABLE::  thv_prof_cas(:)
+  REAL, ALLOCATABLE::  q_prof_cas(:)
+  REAL, ALLOCATABLE::  qv_prof_cas(:)
+  REAL, ALLOCATABLE::  ql_prof_cas(:)
+  REAL, ALLOCATABLE::  qi_prof_cas(:)
+  REAL, ALLOCATABLE::  rh_prof_cas(:)
+  REAL, ALLOCATABLE::  rv_prof_cas(:)
+  REAL, ALLOCATABLE::  u_prof_cas(:)
+  REAL, ALLOCATABLE::  v_prof_cas(:)
+  REAL, ALLOCATABLE::  vitw_prof_cas(:)
+  REAL, ALLOCATABLE::  omega_prof_cas(:)
+  REAL, ALLOCATABLE::  ug_prof_cas(:)
+  REAL, ALLOCATABLE::  vg_prof_cas(:)
+  REAL, ALLOCATABLE::  ht_prof_cas(:)
+  REAL, ALLOCATABLE::  hth_prof_cas(:)
+  REAL, ALLOCATABLE::  hq_prof_cas(:)
+  REAL, ALLOCATABLE::  vt_prof_cas(:)
+  REAL, ALLOCATABLE::  vth_prof_cas(:)
+  REAL, ALLOCATABLE::  vq_prof_cas(:)
+  REAL, ALLOCATABLE::  dt_prof_cas(:)
+  REAL, ALLOCATABLE::  dth_prof_cas(:)
+  REAL, ALLOCATABLE::  dtrad_prof_cas(:)
+  REAL, ALLOCATABLE::  dq_prof_cas(:)
+  REAL, ALLOCATABLE::  hu_prof_cas(:)
+  REAL, ALLOCATABLE::  hv_prof_cas(:)
+  REAL, ALLOCATABLE::  vu_prof_cas(:)
+  REAL, ALLOCATABLE::  vv_prof_cas(:)
+  REAL, ALLOCATABLE::  du_prof_cas(:)
+  REAL, ALLOCATABLE::  dv_prof_cas(:)
+  REAL, ALLOCATABLE::  uw_prof_cas(:)
+  REAL, ALLOCATABLE::  vw_prof_cas(:)
+  REAL, ALLOCATABLE::  q1_prof_cas(:)
+  REAL, ALLOCATABLE::  q2_prof_cas(:)
+
+
+  REAL lat_prof_cas,sens_prof_cas,ts_prof_cas,ps_prof_cas,ustar_prof_cas,tke_prof_cas
+  REAL o3_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
 
 
@@ -89,5 +89,5 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
        WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
        WRITE(*,*) nf90_strerror(ierr)
@@ -198,5 +198,5 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
        WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
        WRITE(*,*) nf90_strerror(ierr)
@@ -326,5 +326,5 @@
     ierr = nf90_open(fich_cas,nf90_nowrite,nid)
     PRINT*,'fich_cas,nf90_nowrite,nid ',fich_cas,nf90_nowrite,nid
-    if (ierr/=nf90_noerr) THEN
+    IF (ierr/=nf90_noerr) THEN
        WRITE(*,*) 'ERROR: GROS Pb opening forcings nc file '
        WRITE(*,*) nf90_strerror(ierr)
@@ -537,30 +537,30 @@
   IMPLICIT NONE
 
-  integer ntime,nlevel
-
-  real zz(nlevel,ntime)
-  real pp(nlevel,ntime)
-  real temp(nlevel,ntime),qv(nlevel,ntime),rh(nlevel,ntime)
-  real theta(nlevel,ntime),rv(nlevel,ntime)
-  real u(nlevel,ntime)
-  real v(nlevel,ntime)
-  real ug(nlevel,ntime)
-  real vg(nlevel,ntime)
-  real w(nlevel,ntime)
-  real du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
-  real dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
-  real dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
-  real dtrad(nlevel,ntime)
-  real dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
-  real dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime)
-  real dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
-  real flat(ntime),sens(ntime),ts(ntime),ustar(ntime)
-  real uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime),resul(nlevel,ntime),resul1(ntime)
-
-
-  integer nid, ierr, ierr1,ierr2,rid,i
-  integer nbvar3d
+  INTEGER ntime,nlevel
+
+  REAL zz(nlevel,ntime)
+  REAL pp(nlevel,ntime)
+  REAL temp(nlevel,ntime),qv(nlevel,ntime),rh(nlevel,ntime)
+  REAL theta(nlevel,ntime),rv(nlevel,ntime)
+  REAL u(nlevel,ntime)
+  REAL v(nlevel,ntime)
+  REAL ug(nlevel,ntime)
+  REAL vg(nlevel,ntime)
+  REAL w(nlevel,ntime)
+  REAL du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
+  REAL dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
+  REAL dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
+  REAL dtrad(nlevel,ntime)
+  REAL dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
+  REAL dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime)
+  REAL dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
+  REAL flat(ntime),sens(ntime),ts(ntime),ustar(ntime)
+  REAL uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime),resul(nlevel,ntime),resul1(ntime)
+
+
+  INTEGER nid, ierr, ierr1,ierr2,rid,i
+  INTEGER nbvar3d
   parameter(nbvar3d=39)
-  integer var3didin(nbvar3d)
+  INTEGER var3didin(nbvar3d)
   character*5 name_var(1:nbvar3d)
   data name_var/'zz','pp','temp','qv','rh','theta','rv','u','v','ug','vg','w','advu','hu','vu',&
@@ -652,32 +652,32 @@
   IMPLICIT NONE
 
-  integer ntime,nlevel
-
-  real ap(nlevel+1),bp(nlevel+1)
-  real zz(nlevel,ntime),zzh(nlevel+1)
-  real pp(nlevel,ntime),pph(nlevel+1)
-  real temp(nlevel,ntime),qv(nlevel,ntime),ql(nlevel,ntime),qi(nlevel,ntime),rh(nlevel,ntime)
-  real theta(nlevel,ntime),thv(nlevel,ntime),thl(nlevel,ntime),rv(nlevel,ntime)
-  real u(nlevel,ntime),v(nlevel,ntime)
-  real ug(nlevel,ntime),vg(nlevel,ntime)
-  real vitw(nlevel,ntime),omega(nlevel,ntime)
-  real du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
-  real dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
-  real dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
-  real dtrad(nlevel,ntime)
-  real dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
-  real dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime),hthl(nlevel,ntime)
-  real dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
-  real flat(ntime),sens(ntime),ustar(ntime)
-  real uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
-  real ts(ntime),ps(ntime),tke(ntime)
-  real orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas
-  real apbp(nlevel+1),resul(nlevel,ntime),resul1(nlevel),resul2(ntime),resul3
-
-
-  integer nid, ierr,ierr1,ierr2,rid,i
-  integer nbvar3d
+  INTEGER ntime,nlevel
+
+  REAL ap(nlevel+1),bp(nlevel+1)
+  REAL zz(nlevel,ntime),zzh(nlevel+1)
+  REAL pp(nlevel,ntime),pph(nlevel+1)
+  REAL temp(nlevel,ntime),qv(nlevel,ntime),ql(nlevel,ntime),qi(nlevel,ntime),rh(nlevel,ntime)
+  REAL theta(nlevel,ntime),thv(nlevel,ntime),thl(nlevel,ntime),rv(nlevel,ntime)
+  REAL u(nlevel,ntime),v(nlevel,ntime)
+  REAL ug(nlevel,ntime),vg(nlevel,ntime)
+  REAL vitw(nlevel,ntime),omega(nlevel,ntime)
+  REAL du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
+  REAL dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
+  REAL dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
+  REAL dtrad(nlevel,ntime)
+  REAL dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
+  REAL dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime),hthl(nlevel,ntime)
+  REAL dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
+  REAL flat(ntime),sens(ntime),ustar(ntime)
+  REAL uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
+  REAL ts(ntime),ps(ntime),tke(ntime)
+  REAL orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas
+  REAL apbp(nlevel+1),resul(nlevel,ntime),resul1(nlevel),resul2(ntime),resul3
+
+
+  INTEGER nid, ierr,ierr1,ierr2,rid,i
+  INTEGER nbvar3d
   parameter(nbvar3d=62)
-  integer var3didin(nbvar3d),missing_var(nbvar3d)
+  INTEGER var3didin(nbvar3d),missing_var(nbvar3d)
   character*12 name_var(1:nbvar3d)
   data name_var/'coor_par_a','coor_par_b','height_h','pressure_h',&
@@ -709,5 +709,5 @@
            endif
            !-----------------------------------------------------------------------
-        else IF(i>4.and.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>4.AND.i<=45) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul, count = [1, 1, nlevel, ntime])
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
@@ -717,5 +717,5 @@
            endif
            !-----------------------------------------------------------------------
-        else if (i>45.and.i<=51) then   ! Lecture des variables en (time,lat,lon)
+        ELSE IF (i>45.AND.i<=51) then   ! Lecture des variables en (time,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul2, count = [1, 1, ntime])
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
@@ -821,35 +821,35 @@
   IMPLICIT NONE
 
-  integer ntime,nlevel,k,t
-
-  real ap(nlevel+1),bp(nlevel+1)
-  real zz(nlevel,ntime),zzh(nlevel+1)
-  real pp(nlevel,ntime),pph(nlevel+1)
+  INTEGER ntime,nlevel,k,t
+
+  REAL ap(nlevel+1),bp(nlevel+1)
+  REAL zz(nlevel,ntime),zzh(nlevel+1)
+  REAL pp(nlevel,ntime),pph(nlevel+1)
   !profils initiaux
-  real temp0(nlevel),qv0(nlevel),ql0(nlevel),qi0(nlevel),u0(nlevel),v0(nlevel),tke0(nlevel)
-  real pp0(nlevel)    
-  real temp(nlevel,ntime),qv(nlevel,ntime),ql(nlevel,ntime),qi(nlevel,ntime),rh(nlevel,ntime)
-  real theta(nlevel,ntime),thv(nlevel,ntime),thl(nlevel,ntime),rv(nlevel,ntime)
-  real u(nlevel,ntime),v(nlevel,ntime),tke(nlevel,ntime)
-  real ug(nlevel,ntime),vg(nlevel,ntime)
-  real vitw(nlevel,ntime),omega(nlevel,ntime)
-  real du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
-  real dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
-  real dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
-  real dtrad(nlevel,ntime)
-  real dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
-  real dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime),hthl(nlevel,ntime)
-  real dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
-  real flat(ntime),sens(ntime),ustar(ntime)
-  real uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
-  real ts(ntime),ps(ntime)
-  real orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas
-  real apbp(nlevel+1),resul(nlevel,ntime),resul1(nlevel),resul2(ntime),resul3
-
-
-  integer nid, ierr,ierr1,ierr2,rid,i
-  integer nbvar3d
+  REAL temp0(nlevel),qv0(nlevel),ql0(nlevel),qi0(nlevel),u0(nlevel),v0(nlevel),tke0(nlevel)
+  REAL pp0(nlevel)
+  REAL temp(nlevel,ntime),qv(nlevel,ntime),ql(nlevel,ntime),qi(nlevel,ntime),rh(nlevel,ntime)
+  REAL theta(nlevel,ntime),thv(nlevel,ntime),thl(nlevel,ntime),rv(nlevel,ntime)
+  REAL u(nlevel,ntime),v(nlevel,ntime),tke(nlevel,ntime)
+  REAL ug(nlevel,ntime),vg(nlevel,ntime)
+  REAL vitw(nlevel,ntime),omega(nlevel,ntime)
+  REAL du(nlevel,ntime),hu(nlevel,ntime),vu(nlevel,ntime)
+  REAL dv(nlevel,ntime),hv(nlevel,ntime),vv(nlevel,ntime)
+  REAL dt(nlevel,ntime),ht(nlevel,ntime),vt(nlevel,ntime)
+  REAL dtrad(nlevel,ntime)
+  REAL dq(nlevel,ntime),hq(nlevel,ntime),vq(nlevel,ntime)
+  REAL dth(nlevel,ntime),hth(nlevel,ntime),vth(nlevel,ntime),hthl(nlevel,ntime)
+  REAL dr(nlevel,ntime),hr(nlevel,ntime),vr(nlevel,ntime)
+  REAL flat(ntime),sens(ntime),ustar(ntime)
+  REAL uw(nlevel,ntime),vw(nlevel,ntime),q1(nlevel,ntime),q2(nlevel,ntime)
+  REAL ts(ntime),ps(ntime)
+  REAL orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas
+  REAL apbp(nlevel+1),resul(nlevel,ntime),resul1(nlevel),resul2(ntime),resul3
+
+
+  INTEGER nid, ierr,ierr1,ierr2,rid,i
+  INTEGER nbvar3d
   parameter(nbvar3d=70)
-  integer var3didin(nbvar3d),missing_var(nbvar3d)
+  INTEGER var3didin(nbvar3d),missing_var(nbvar3d)
   character*13 name_var(1:nbvar3d)
   data name_var/'coor_par_a','coor_par_b','height_h','pressure_h',&
@@ -884,5 +884,5 @@
            endif
            !-----------------------------------------------------------------------
-        else IF(i>4.and.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>4.AND.i<=12) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul1)
            print *,'read2_cas(resul1), on a lu ',i,name_var(i)
@@ -893,5 +893,5 @@
            PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul1),maxval(resul1)
            !-----------------------------------------------------------------------
-        else IF(i>12.and.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
+        else IF(i>12.AND.i<=54) then   ! Lecture des variables en (time,nlevel,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul)
            print *,'read2_cas(resul), on a lu ',i,name_var(i)
@@ -902,5 +902,5 @@
            PRINT*,'Lecture de la variable #i ',i,name_var(i),minval(resul),maxval(resul)
            !-----------------------------------------------------------------------
-        else if (i>54.and.i<=65) then   ! Lecture des variables en (time,lat,lon)
+        ELSE IF (i>54.AND.i<=65) then   ! Lecture des variables en (time,lat,lon)
            ierr = nf90_get_var(nid,var3didin(i),resul2)
            print *,'read2_cas(resul2), on a lu ',i,name_var(i)
@@ -1053,39 +1053,39 @@
 
   ! inputs:
-  integer annee_ref
-  integer nt_cas,nlev_cas
-  real day, day1,day_cas
-  real ts_cas(nt_cas),ps_cas(nt_cas)
-  real plev_cas(nlev_cas,nt_cas)
-  real t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
-  real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-  real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-  real vitw_cas(nlev_cas,nt_cas)
-  real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-  real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-  real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-  real dtrad_cas(nlev_cas,nt_cas)
-  real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-  real lat_cas(nt_cas)
-  real sens_cas(nt_cas)
-  real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-  real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+  INTEGER annee_ref
+  INTEGER nt_cas,nlev_cas
+  REAL day, day1,day_cas
+  REAL ts_cas(nt_cas),ps_cas(nt_cas)
+  REAL plev_cas(nlev_cas,nt_cas)
+  REAL t_cas(nlev_cas,nt_cas),q_cas(nlev_cas,nt_cas)
+  REAL u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
+  REAL ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
+  REAL vitw_cas(nlev_cas,nt_cas)
+  REAL du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
+  REAL dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
+  REAL dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
+  REAL dtrad_cas(nlev_cas,nt_cas)
+  REAL dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
+  REAL lat_cas(nt_cas)
+  REAL sens_cas(nt_cas)
+  REAL ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
+  REAL q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
 
   ! outputs:
-  real plev_prof_cas(nlev_cas)
-  real t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
-  real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-  real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-  real vitw_prof_cas(nlev_cas)
-  real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-  real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-  real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-  real dtrad_prof_cas(nlev_cas)
-  real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-  real lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
-  real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+  REAL plev_prof_cas(nlev_cas)
+  REAL t_prof_cas(nlev_cas),q_prof_cas(nlev_cas)
+  REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+  REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
+  REAL vitw_prof_cas(nlev_cas)
+  REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+  REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+  REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
+  REAL dtrad_prof_cas(nlev_cas)
+  REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+  REAL lat_prof_cas,sens_prof_cas,ts_prof_cas,ustar_prof_cas
+  REAL uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
   ! local:
-  integer it_cas1, it_cas2,k
-  real timeit,time_cas1,time_cas2,frac
+  INTEGER it_cas1, it_cas2,k
+  REAL timeit,time_cas1,time_cas2,frac
 
 
@@ -1096,17 +1096,17 @@
   ! sont censes etre corrects.
   ! A supprimer a terme (MPL 20150623)
-  !     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
+  !     if ((forcing_type.EQ.10).AND.(1.EQ.0)) THEN
   ! Check that initial day of the simulation consistent with AMMA case:
-  !      if (annee_ref.ne.2006) THEN
+  !      if (annee_ref.NE.2006) THEN
   !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
   !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
+  !      if (annee_ref.EQ.2006 .AND. day1.lt.day_cas) THEN
   !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
   !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
+  !      if (annee_ref.EQ.2006 .AND. day1.gt.day_cas+1) THEN
   !       PRINT*,'AMMA a fini le 11 juillet'
   !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -1117,5 +1117,5 @@
   ! Determine timestep relative to the 1st day:
   !       timeit=(day-day1)*86400.
-  !       if (annee_ref.eq.1992) THEN
+  !       if (annee_ref.EQ.1992) THEN
   !        timeit=(day-day_cas)*86400.
   !       else
@@ -1145,9 +1145,9 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 > nt_cas) THEN
+  IF (it_cas1 > nt_cas) THEN
      WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
      stop
-  endif
+  ENDIF
 
   ! time interpolation:
@@ -1262,42 +1262,42 @@
 
   ! inputs:
-  integer annee_ref
-  integer nt_cas,nlev_cas
-  real day, day1,day_cas
-  real ts_cas(nt_cas),ps_cas(nt_cas)
-  real plev_cas(nlev_cas,nt_cas)
-  real t_cas(nlev_cas,nt_cas),theta_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas)
-  real qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas),qi_cas(nlev_cas,nt_cas)
-  real u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
-  real ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
-  real vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas)
-  real du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
-  real dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
-  real dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
-  real dth_cas(nlev_cas,nt_cas),hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas)
-  real dtrad_cas(nlev_cas,nt_cas)
-  real dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
-  real lat_cas(nt_cas),sens_cas(nt_cas),tke_cas(nt_cas)
-  real ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
-  real q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
+  INTEGER annee_ref
+  INTEGER nt_cas,nlev_cas
+  REAL day, day1,day_cas
+  REAL ts_cas(nt_cas),ps_cas(nt_cas)
+  REAL plev_cas(nlev_cas,nt_cas)
+  REAL t_cas(nlev_cas,nt_cas),theta_cas(nlev_cas,nt_cas),thv_cas(nlev_cas,nt_cas),thl_cas(nlev_cas,nt_cas)
+  REAL qv_cas(nlev_cas,nt_cas),ql_cas(nlev_cas,nt_cas),qi_cas(nlev_cas,nt_cas)
+  REAL u_cas(nlev_cas,nt_cas),v_cas(nlev_cas,nt_cas)
+  REAL ug_cas(nlev_cas,nt_cas),vg_cas(nlev_cas,nt_cas)
+  REAL vitw_cas(nlev_cas,nt_cas),omega_cas(nlev_cas,nt_cas)
+  REAL du_cas(nlev_cas,nt_cas),hu_cas(nlev_cas,nt_cas),vu_cas(nlev_cas,nt_cas)
+  REAL dv_cas(nlev_cas,nt_cas),hv_cas(nlev_cas,nt_cas),vv_cas(nlev_cas,nt_cas)
+  REAL dt_cas(nlev_cas,nt_cas),ht_cas(nlev_cas,nt_cas),vt_cas(nlev_cas,nt_cas)
+  REAL dth_cas(nlev_cas,nt_cas),hth_cas(nlev_cas,nt_cas),vth_cas(nlev_cas,nt_cas)
+  REAL dtrad_cas(nlev_cas,nt_cas)
+  REAL dq_cas(nlev_cas,nt_cas),hq_cas(nlev_cas,nt_cas),vq_cas(nlev_cas,nt_cas)
+  REAL lat_cas(nt_cas),sens_cas(nt_cas),tke_cas(nt_cas)
+  REAL ustar_cas(nt_cas),uw_cas(nlev_cas,nt_cas),vw_cas(nlev_cas,nt_cas)
+  REAL q1_cas(nlev_cas,nt_cas),q2_cas(nlev_cas,nt_cas)
 
   ! outputs:
-  real plev_prof_cas(nlev_cas)
-  real t_prof_cas(nlev_cas),theta_prof_cas(nlev_cas),thl_prof_cas(nlev_cas),thv_prof_cas(nlev_cas)
-  real qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
-  real u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
-  real ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
-  real vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas)
-  real du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
-  real dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
-  real dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
-  real dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
-  real dtrad_prof_cas(nlev_cas)
-  real dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
-  real lat_prof_cas,sens_prof_cas,tke_prof_cas,ts_prof_cas,ustar_prof_cas
-  real uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
+  REAL plev_prof_cas(nlev_cas)
+  REAL t_prof_cas(nlev_cas),theta_prof_cas(nlev_cas),thl_prof_cas(nlev_cas),thv_prof_cas(nlev_cas)
+  REAL qv_prof_cas(nlev_cas),ql_prof_cas(nlev_cas),qi_prof_cas(nlev_cas)
+  REAL u_prof_cas(nlev_cas),v_prof_cas(nlev_cas)
+  REAL ug_prof_cas(nlev_cas),vg_prof_cas(nlev_cas)
+  REAL vitw_prof_cas(nlev_cas),omega_prof_cas(nlev_cas)
+  REAL du_prof_cas(nlev_cas),hu_prof_cas(nlev_cas),vu_prof_cas(nlev_cas)
+  REAL dv_prof_cas(nlev_cas),hv_prof_cas(nlev_cas),vv_prof_cas(nlev_cas)
+  REAL dt_prof_cas(nlev_cas),ht_prof_cas(nlev_cas),vt_prof_cas(nlev_cas)
+  REAL dth_prof_cas(nlev_cas),hth_prof_cas(nlev_cas),vth_prof_cas(nlev_cas)
+  REAL dtrad_prof_cas(nlev_cas)
+  REAL dq_prof_cas(nlev_cas),hq_prof_cas(nlev_cas),vq_prof_cas(nlev_cas)
+  REAL lat_prof_cas,sens_prof_cas,tke_prof_cas,ts_prof_cas,ustar_prof_cas
+  REAL uw_prof_cas(nlev_cas),vw_prof_cas(nlev_cas),q1_prof_cas(nlev_cas),q2_prof_cas(nlev_cas)
   ! local:
-  integer it_cas1, it_cas2,k
-  real timeit,time_cas1,time_cas2,frac
+  INTEGER it_cas1, it_cas2,k
+  REAL timeit,time_cas1,time_cas2,frac
 
 
@@ -1311,17 +1311,17 @@
   ! sont censes etre corrects.
   ! A supprimer a terme (MPL 20150623)
-  !     if ((forcing_type.eq.10).and.(1.eq.0)) THEN
+  !     if ((forcing_type.EQ.10).AND.(1.EQ.0)) THEN
   ! Check that initial day of the simulation consistent with AMMA case:
-  !      if (annee_ref.ne.2006) THEN
+  !      if (annee_ref.NE.2006) THEN
   !       PRINT*,'Pour AMMA, annee_ref doit etre 2006'
   !       PRINT*,'Changer annee_ref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.lt.day_cas) THEN
+  !      if (annee_ref.EQ.2006 .AND. day1.lt.day_cas) THEN
   !       PRINT*,'AMMA a debute le 10 juillet 2006',day1,day_cas
   !       PRINT*,'Changer dayref dans run.def'
   !       stop
   !      endif
-  !      if (annee_ref.eq.2006 .and. day1.gt.day_cas+1) THEN
+  !      if (annee_ref.EQ.2006 .AND. day1.gt.day_cas+1) THEN
   !       PRINT*,'AMMA a fini le 11 juillet'
   !       PRINT*,'Changer dayref ou nday dans run.def'
@@ -1332,5 +1332,5 @@
   ! Determine timestep relative to the 1st day:
   !       timeit=(day-day1)*86400.
-  !       if (annee_ref.eq.1992) THEN
+  !       if (annee_ref.EQ.1992) THEN
   !        timeit=(day-day_cas)*86400.
   !       else
@@ -1361,9 +1361,9 @@
   !print *,'it_cas1,it_cas2,time_cas1,time_cas2=',it_cas1,it_cas2,time_cas1,time_cas2
 
-  if (it_cas1 > nt_cas) THEN
+  IF (it_cas1 > nt_cas) THEN
      WRITE(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
           ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
      stop
-  endif
+  ENDIF
 
   ! time interpolation:
